<div class="container-fluid panel">
  <div class="row" [hidden]="!(playing&&!over)">
    <div class="turns" [ngClass]="turnAnimation ? 'turnAnimation': ''">
      <h2 [ngClass]="turnAnimation ? 'turnAnimation': ''">
        Next turn:
      </h2>
      <h1 [ngClass]="turnAnimation ? 'turnAnimation': ''">
        {{players[toNumber(!turn)]?.name}}
      </h1>
    </div>
    <div class="col-lg-3 col-md-3 col-sm-4 col-xs-12">
      <player [player]="players[0]" ></player>
    </div>
    <div class="col-lg-6 col-md-6 col-sm-4 col-xs-12">
      <board [cards]="cards" (scoreEvent)="updateScore($event)" [small]="!small"></board>
    </div>
    <div class="col-lg-3 col-md-3 col-sm-4 col-xs-12">
      <player [player]="players[1]"></player>
    </div>
  </div>
  <div class="row start" [hidden]="!(!playing&&!over)">
    <div class="cardsBackground">
      <board #animatedBoard [cards]="cardsBackground" [small]="small"></board>
    </div>
    <h2>Memory game!</h2>
    <br><br>
    <form #playersForm [formGroup]="playerForm" #formDirective="ngForm">
      <div formArrayName="players">
        <section *ngFor="let player of players; let i = index" [formGroupName]="i">
          <div class="avatar">
            <div class="icon">&nbsp;</div>
          </div>
          <input type="text" formControlName="name" [(ngModel)]="player.name" placeholder="Player {{i+1}}">
          <h6 class="hint" *ngIf="!playerForm.get('players')['controls'][i].controls['name'].hasError('required')">
            Player name required
          </h6>
          <h6 class="error" *ngIf="playerForm.get('players')['controls'][i].controls['name'].hasError('required')">
            Player name required
          </h6>
        </section>
      </div>
      <br><br>
      <button class="btn btn-info" (click)="submitPlayers()">Start game!</button>
    </form>
  </div>
  <div class="row again" [hidden]="!(!playing&&over)">
    <div class="fruits">
      <img src="{{env.baseUrl}}assets/apple.png" alt="">
      <img src="{{env.baseUrl}}assets/pineapple.png" alt="">
      <img src="{{env.baseUrl}}assets/banana.png" alt="">
      <img src="{{env.baseUrl}}assets/pear.png" alt="">
      <img src="{{env.baseUrl}}assets/watermelon.png" alt="">
      <img src="{{env.baseUrl}}assets/orange.png" alt="">
      <img src="{{env.baseUrl}}assets/coconut.png" alt="">
      <img src="{{env.baseUrl}}assets/grape.png" alt="">
      <img src="{{env.baseUrl}}assets/lemon.png" alt="">
      <img src="{{env.baseUrl}}assets/cover.png" alt="">
    </div>
    <br>
    <div class="avatar">
      <div class="icon">&nbsp;</div>
    </div>
    <br>
    <h1>Winner!</h1>
    <h2>{{players[toNumber(turn)]?.name}}</h2>
    <br>
    <button class="btn btn-info rattle" (click)="startGame()">Play again!</button>
  </div>
</div>